<?php
define('_IN_JOHNCMS', 1);
$headmod = 'manager';
$textl='Добавление матчей'; 
require_once("../incfiles/core.php");
require_once("../incfiles/head.php");
require_once("manfunc.php"); 

echo"<h2 align='center'>$textl</h2>";
if($rights>=7)
{
	if(!$_POST['submit'])
	{
		echo"<form action='addmatches.php?' method='post'><div class='menu'>Турнир (champ - нацпервенство; cup - нацкубок; supercup - нацсуперкубок; lc - ЛЧ; le - ЛЕ; sc - Суперкубок Европы; tm - товматч):<br/>
		<input type='text' name='turn'/><br/>
		Двухзначный код страны или группа в ЛЧ/ЛЕ (пример. ru или b. Для плэй-офф ЛЧ/ЛЕ и Суперкубка Европы - eu):<br/>
		<input type='text' name='land'/><br/>
		Тур (в кубках 1 раунд - 1; 1/8 - 18; 1/4 - 14; финал - 11; в ЛЧ/ЛЕ 1/8 перв.матчи - 181; ответн.матчи - 182 и т.п.):<br/><input type='text' name='tur' value='0'/><br/>
		Дата начала:<br/><input type='text' name='d' size='2'/><input type='text' name='m' value='".date("m")."' size='2'/><input type='text' name='y' value='".date("Y")."' size='4'/><br/>Время:<br/><input type='text' name='h' size='2'/>:<input type='text' name='i' size='2'/></div>";
		for($i=1;$i<11;$i++)echo"<div class='menu'><input type='text' name='h_$i'/> - <input type='text' name='g_$i'/></div>";

		echo"<div class='menu'><input type='submit' name='submit' value='OK'/></div></form>";
	}
	else
	{
	$t=mktime($_POST[h],$_POST[i],0,$_POST[m],$_POST[d],$_POST[y])-3600*4;
for($i=1;$i<11;$i++){
$h="h_$i"; $g="g_$i"; $h=$_POST[$h]; $g=$_POST[$g];
if($h && $g){
$q1=mysql_query("select * from fman_clubs where name='$h';");
$a1=mysql_fetch_array($q1);
$q2=mysql_query("select * from fman_clubs where name='$g';");
$a2=mysql_fetch_array($q2);
if($a1[id] && $a2[id])mysql_query("insert into fman_matches set time=$t, turn='$_POST[turn]', tur=$_POST[tur], end=0, kom1='$h', id1=$a1[id], kom2='$g', id2=$a2[id], sc1=0, sc2=0, land='$_POST[land]'");}}
echo"<p>Все матчи созданы! <a href='addmatches.php?mytime=$realtime'>Добавить еще</a></p>";

}
} require_once("../incfiles/end.php"); ?>
